Debian Bug report logs - #653215
python-pygame: turn on MMX instructions

version graph

Package: python-pygame; Maintainer for python-pygame is Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>; Source for python-pygame is src:pygame.

Reported by: jeff@jab.org

Date: Sun, 25 Dec 2011 10:54:21 UTC

Severity: wishlist

Found in version pygame/1.9.1release+dfsg-2

Fixed in version pygame/1.9.1release+dfsg-3

Done: A Mennucc1 <mennucc1@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bitbucket.org/pygame/pygame/issue/100

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#653215; Package python-pygame. (Sun, 25 Dec 2011 10:54:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
New Bug report received and forwarded. Copy sent to Ed Boraas <ed@debian.org>. (Sun, 25 Dec 2011 10:54:29 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: submit@bugs.debian.org, Jeff Breidenbach <jeff@jab.org>
Subject: python-pygame: turn on MMX instructions
Date: Sun, 25 Dec 2011 02:52:10 -0800
Package: python-pygame
Version: 1.9.1release+dfsg-2
Severity: wishlist

On Sat, Dec 24, 2011 at 3:19 PM, Jeff Breidenbach <jeff@jab.org> wrote:
> pygame.transform.get_smoothscale_backend() returns GENERIC and
> pygame.transform.set_smoothscale_backend( 'MMX') throws an exception.
> The reason is pygame is compiled with -D_NO_MMX_FOR_X86_64
> in Setup.in. According to random internet searching, this compile flag is
> a workaround for an old SDL bug that has been fixed since libsdl1.2.10.
> If so, let's please turn MMX scaling back on. Here's the note I found on
> the internet.
>
> "If your CPU supports MMX and SSE instructions (if you have procfs,
> see contents of /proc/cpuinfo), smooth stretching images should be working
> swiftly. To check things out, run cgview with -i, and see what smooth scaling
> “backend” is. If it's not what you expect, you need to compile pygame, after
> removing -D_NO_MMX_FOR_X86_64 from CFLAGS for transform.c (edit
> Setup.in and run config.py). You need to get a recent version of SDL
> (>=1.2.10) if you do so, since _NO_MMX_FOR_X86_64 was introduced
> as a workaround for a bug in SDL (see RedHat bugzilla #487720)"
>
> I've tested this myself and it appears to work fine. The speed difference is
> significant for my program.
>
> -Jeff

Hi Jeff,

I'm filing a new bug report to keep track of progress on this. Please
consider using reportbug or manually submitting a bug report via
e-mail for any future requests, rather than directly contacting the
maintainers/uploaders of a package.

Have you already contacted the upstream pygame developers and notified
them of this issue? Ideally, instead of applying another
Debian-specific patch to pygame, you should ask upstream to remove
-D_NO_MMX_FOR_X86_64 prior to their next release so that all
downstream distributions can benefit from the change, not just Debian.

Vincent




Changed Bug submitter to 'jeff@jab.org' from 'Vincent Cheng <vincentc1208@gmail.com>' Request was from Vincent Cheng <vincentc1208@gmail.com> to control@bugs.debian.org. (Sun, 25 Dec 2011 11:00:26 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#653215; Package python-pygame. (Tue, 27 Dec 2011 04:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeff Breidenbach <jeff@jab.org>:
Extra info received and forwarded to list. Copy sent to Ed Boraas <ed@debian.org>. (Tue, 27 Dec 2011 04:03:03 GMT) Full text and rfc822 format available.

Message #12 received at 653215@bugs.debian.org (full text, mbox):

From: Jeff Breidenbach <jeff@jab.org>
To: 653215@bugs.debian.org
Subject: Re: python-pygame: turn on MMX instructions
Date: Mon, 26 Dec 2011 19:59:02 -0800
I tried submitting a bug first, messed it up somehow, then resorted
to direct email instead of figuring it out. I have not contacted upstream,
but that is a very good idea. I'll leave that in your hands since Debian
package maintainers invariably have a great working relationship with their
upstream.




Information forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#653215; Package python-pygame. (Wed, 28 Dec 2011 11:09:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ed Boraas <ed@debian.org>. (Wed, 28 Dec 2011 11:09:25 GMT) Full text and rfc822 format available.

Message #17 received at 653215@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: Jeff Breidenbach <jeff@jab.org>
Cc: 653215@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#653215: python-pygame: turn on MMX instructions
Date: Wed, 28 Dec 2011 03:05:50 -0800
forwarded 653215 https://bitbucket.org/pygame/pygame/issue/100
thanks

On Mon, Dec 26, 2011 at 7:59 PM, Jeff Breidenbach <jeff@jab.org> wrote:
> I tried submitting a bug first, messed it up somehow, then resorted
> to direct email instead of figuring it out. I have not contacted upstream,
> but that is a very good idea. I'll leave that in your hands since Debian
> package maintainers invariably have a great working relationship with their
> upstream.
>
>
>

One of the upstream pygame devs has picked up this bug report already
(thanks Lenard!); it's now currently being tracked in upstream's bug
tracker [1]. If there's any additional info you'd like to add, please
do so using the aforementioned link. Thanks!

Vincent

[1] https://bitbucket.org/pygame/pygame/issue/100




Set Bug forwarded-to-address to 'https://bitbucket.org/pygame/pygame/issue/100'. Request was from Vincent Cheng <vincentc1208@gmail.com> to control@bugs.debian.org. (Wed, 28 Dec 2011 11:09:29 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#653215; Package python-pygame. (Tue, 03 Jan 2012 12:06:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to A Mennucc <mennucc1@debian.org>:
Extra info received and forwarded to list. Copy sent to Ed Boraas <ed@debian.org>. (Tue, 03 Jan 2012 12:06:30 GMT) Full text and rfc822 format available.

Message #24 received at 653215@bugs.debian.org (full text, mbox):

From: A Mennucc <mennucc1@debian.org>
To: Vincent Cheng <vincentc1208@gmail.com>
Cc: Ed Boraas <ed@debian.org>, 653215@bugs.debian.org
Subject: new pygame , with mmx and w/o portmidi
Date: Tue, 03 Jan 2012 13:02:41 +0100
[Message part 1 (text/plain, inline)]
hi,

I compiled a new pygame, with MMX enabled ,
(and w/o the portmidi build-dependency on kfreebsd, that is blocking the
transition to testing);

it is in
http://mennucc1.debian.net/pygame/

source files:
pygame_1.9.1release+dfsg-3.dsc
<http://mennucc1.debian.net/pygame/pygame_1.9.1release+dfsg-3.dsc>
pygame_1.9.1release+dfsg-3.debian.tar.gz
<http://mennucc1.debian.net/pygame/pygame_1.9.1release+dfsg-3.debian.tar.gz>

I compiled  in amd64, it seems OK;
I ran test/transform_test.py and it says OK,
 but I dont know if it really tries the SDL bug codepath;
in case, may you provide a snippet of python code that specifically
tries it?

a.

[Message part 2 (text/html, inline)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#653215; Package python-pygame. (Wed, 04 Jan 2012 05:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeff Breidenbach <jeff@jab.org>:
Extra info received and forwarded to list. Copy sent to Ed Boraas <ed@debian.org>. (Wed, 04 Jan 2012 05:45:03 GMT) Full text and rfc822 format available.

Message #29 received at 653215@bugs.debian.org (full text, mbox):

From: Jeff Breidenbach <jeff@jab.org>
To: 653215@bugs.debian.org, vincentc1208@gmail.com
Subject: Re: Bug#653215: python-pygame: turn on MMX instructions
Date: Tue, 3 Jan 2012 21:43:45 -0800
[Message part 1 (text/plain, inline)]
Vincent, I'm concerned about timing. Ubuntu will snapshot Debian on January
12th for their next long term release. If faster scaling is not in place
before then, it will take two extra years to percolate to a derivative
distribution that I care about. Please consider having Debian deploy ahead
of upstream.

https://wiki.ubuntu.com/PrecisePangolin/ReleaseSchedule
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#653215; Package python-pygame. (Wed, 04 Jan 2012 06:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeff Breidenbach <jeff@jab.org>:
Extra info received and forwarded to list. Copy sent to Ed Boraas <ed@debian.org>. (Wed, 04 Jan 2012 06:06:03 GMT) Full text and rfc822 format available.

Message #34 received at 653215@bugs.debian.org (full text, mbox):

From: Jeff Breidenbach <jeff@jab.org>
To: 653215@bugs.debian.org, vincentc1208@gmail.com
Subject: Re: Bug#653215: python-pygame: turn on MMX instructions
Date: Tue, 3 Jan 2012 21:46:35 -0800
> it will take two extra years to percolate to a derivative distribution that I care about

To clarify, I care a lot about Debian. I also care about a particular
derivative distribution.




Information forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#653215; Package python-pygame. (Wed, 04 Jan 2012 08:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lenard Lindstrom <len-l@telus.net>:
Extra info received and forwarded to list. Copy sent to Ed Boraas <ed@debian.org>. (Wed, 04 Jan 2012 08:09:06 GMT) Full text and rfc822 format available.

Message #39 received at 653215@bugs.debian.org (full text, mbox):

From: Lenard Lindstrom <len-l@telus.net>
To: Jeff Breidenbach <jeff@jab.org>, 653215@bugs.debian.org
Subject: Re: Bug#653215: python-pygame: turn on MMX instructions
Date: Tue, 03 Jan 2012 23:56:42 -0800
On 03/01/12 09:46 PM, Jeff Breidenbach wrote:
>> it will take two extra years to percolate to a derivative distribution that I care about
> To clarify, I care a lot about Debian. I also care about a particular
> derivative distribution.
>
>
>
This request will not be backported to Pygame 1.9.1 by Pygame.org; it 
will only show up in 1.9.2. So don't wait for us.

Lenard Lindstrom
Pygame developer





Information forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#653215; Package python-pygame. (Wed, 04 Jan 2012 08:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ed Boraas <ed@debian.org>. (Wed, 04 Jan 2012 08:54:06 GMT) Full text and rfc822 format available.

Message #44 received at 653215@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: Jeff Breidenbach <jeff@jab.org>
Cc: 653215@bugs.debian.org
Subject: Re: Bug#653215: python-pygame: turn on MMX instructions
Date: Wed, 4 Jan 2012 00:50:46 -0800
On Tue, Jan 3, 2012 at 9:43 PM, Jeff Breidenbach <jeff@jab.org> wrote:
> Vincent, I'm concerned about timing. Ubuntu will snapshot Debian on January
> 12th for their next long term release. If faster scaling is not in place
> before then, it will take two extra years to percolate to a derivative
> distribution that I care about. Please consider having Debian deploy ahead
> of upstream.
>
> https://wiki.ubuntu.com/PrecisePangolin/ReleaseSchedule

It's already too late for any updated pygame build to make it in time
for what Ubuntu calls the "LTS Debian Import Freeze" (migration from
unstable to testing takes 10 days at least); once this bug gets fixed
in Debian and the package migrates to testing, you'll have to file an
explicit sync request via requestsync (in the ubuntu-dev-tools
package) or follow the instructions here [1].

Note that I don't do any dev work directly for Ubuntu (aside from
owning a PPA, which doesn't really count anyways), so you're on your
own there.

Vincent

[1] https://wiki.ubuntu.com/SyncRequestProcess




Information forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#653215; Package python-pygame. (Wed, 04 Jan 2012 08:57:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ed Boraas <ed@debian.org>. (Wed, 04 Jan 2012 08:57:59 GMT) Full text and rfc822 format available.

Message #49 received at 653215@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: Lenard Lindstrom <len-l@telus.net>, 653215@bugs.debian.org
Cc: Jeff Breidenbach <jeff@jab.org>
Subject: Re: Bug#653215: python-pygame: turn on MMX instructions
Date: Wed, 4 Jan 2012 00:55:26 -0800
On Tue, Jan 3, 2012 at 11:56 PM, Lenard Lindstrom <len-l@telus.net> wrote:
> On 03/01/12 09:46 PM, Jeff Breidenbach wrote:
>>>
>>> it will take two extra years to percolate to a derivative distribution
>>> that I care about
>>
>> To clarify, I care a lot about Debian. I also care about a particular
>> derivative distribution.
>>
>>
>>
> This request will not be backported to Pygame 1.9.1 by Pygame.org; it will
> only show up in 1.9.2. So don't wait for us.
>
> Lenard Lindstrom
> Pygame developer
>
>
>
>

Thanks for letting us know! On a somewhat related note, when do you
plan on releasing pygame 1.9.2?

Vincent




Information forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#653215; Package python-pygame. (Wed, 04 Jan 2012 09:12:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ed Boraas <ed@debian.org>. (Wed, 04 Jan 2012 09:12:26 GMT) Full text and rfc822 format available.

Message #54 received at 653215@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: A Mennucc <mennucc1@debian.org>, 653215@bugs.debian.org
Cc: Ed Boraas <ed@debian.org>, Lenard Lindstrom <len-l@telus.net>
Subject: Re: Bug#653215: new pygame , with mmx and w/o portmidi
Date: Wed, 4 Jan 2012 01:11:30 -0800
[Message part 1 (text/plain, inline)]
On Tue, Jan 3, 2012 at 4:02 AM, A Mennucc <mennucc1@debian.org> wrote:
> hi,
>
> I compiled a new pygame, with MMX enabled ,
> (and w/o the portmidi build-dependency on kfreebsd, that is blocking the
> transition to testing);
>
> it is in
> http://mennucc1.debian.net/pygame/
>
> source files:
> pygame_1.9.1release+dfsg-3.dsc
> pygame_1.9.1release+dfsg-3.debian.tar.gz
>
> I compiled  in amd64, it seems OK;
> I ran test/transform_test.py and it says OK,
>  but I dont know if it really tries the SDL bug codepath;
> in case, may you provide a snippet of python code that specifically tries
> it?
>
> a.
>

Thanks for preparing an updated pygame package! I was going to do so
myself, but I was short on spare time these last few days.

I would change the b-d on libportmidi-dev from [!kfreebsd-any] to
[linux-any], given that portmidi also FTBFS on hurd-i386 and I see no
indication that it's going to be fixed on hurd anytime soon.

I've also tried building pygame in a kfreebsd-i386 VM. I have no idea
how to get the build log out of a VBox VM, so I ended up taking
screenshots of the log instead; they're attached with this e-mail.

First problem is that pygame stalls when it can't find some of its
dependencies (for kfreebsd, this is portmidi and porttime), and
requires that the user manually types in 'y' at the prompt (otherwise
the build just seems to stall forever; see pygame_ftbfs1.png). How
will the buildds end up handling this?

Second problem is that pygame FTBFS on kfreebsd after the user accepts
the prompt to proceed with the build (see pygame_ftbfs2.png); pygame's
camera extension is Linux-specific.

If you have spare time this week, you're welcome to tackle these
issues yourself. Otherwise, I'll get to it sometime this week or next.
Thanks! :)

Vincent
[pygame_ftbfs1.png (image/png, attachment)]
[pygame_ftbfs2.png (image/png, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#653215; Package python-pygame. (Wed, 04 Jan 2012 18:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lenard Lindstrom <len-l@telus.net>:
Extra info received and forwarded to list. Copy sent to Ed Boraas <ed@debian.org>. (Wed, 04 Jan 2012 18:45:07 GMT) Full text and rfc822 format available.

Message #59 received at 653215@bugs.debian.org (full text, mbox):

From: Lenard Lindstrom <len-l@telus.net>
To: 653215@bugs.debian.org
Subject: Re: Bug#653215: python-pygame: turn on MMX instructions
Date: Wed, 04 Jan 2012 10:42:24 -0800
On 04/01/12 12:55 AM, Vincent Cheng wrote:
> On Tue, Jan 3, 2012 at 11:56 PM, Lenard Lindstrom<len-l@telus.net>  wrote:
>> This request will not be backported to Pygame 1.9.1 by Pygame.org; it will
>> only show up in 1.9.2. So don't wait for us.
>>
>> Lenard Lindstrom
>> Pygame developer
>>
>>
>>
>>
> Thanks for letting us know! On a somewhat related note, when do you
> plan on releasing pygame 1.9.2?
>
> Vincent
>
>
I wish I could say. I believe we have all agreed to some kind of feature 
freeze for 1.9.2. Instead we are just concentrating on bug fixes and 
polishing 1.9.1 experimental features. A lot of time has gone into 
porting the repository to Bitbucket, which is still ongoing. I am 
currently spending too much time just getting MinGW gcc 4.6.1-1 to 
correctly link all the Pygame dependencies against C runtime libraries 
newer than msvcrt.dll (it fails with smpeg, written in C++ with 
classes.) I image the first alpha release will follow shortly after I 
produce a fully working Pygame 1.9.2 Windows build.

Lenard Lindstrom





Information forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#653215; Package python-pygame. (Wed, 04 Jan 2012 19:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lenard Lindstrom <len-l@telus.net>:
Extra info received and forwarded to list. Copy sent to Ed Boraas <ed@debian.org>. (Wed, 04 Jan 2012 19:51:03 GMT) Full text and rfc822 format available.

Message #64 received at 653215@bugs.debian.org (full text, mbox):

From: Lenard Lindstrom <len-l@telus.net>
To: 653215@bugs.debian.org
Subject: Re: Bug#653215: new pygame , with mmx and w/o portmidi
Date: Wed, 04 Jan 2012 11:49:01 -0800
On 04/01/12 01:11 AM, Vincent Cheng wrote:
> On Tue, Jan 3, 2012 at 4:02 AM, A Mennucc<mennucc1@debian.org>  wrote:
>> hi,
>>
>> I compiled a new pygame, with MMX enabled ,
>> (and w/o the portmidi build-dependency on kfreebsd, that is blocking the
>> transition to testing);
>>
>> it is in
>> http://mennucc1.debian.net/pygame/
>>
>> source files:
>> pygame_1.9.1release+dfsg-3.dsc
>> pygame_1.9.1release+dfsg-3.debian.tar.gz
>>
>> I compiled  in amd64, it seems OK;
>> I ran test/transform_test.py and it says OK,
>>   but I dont know if it really tries the SDL bug codepath;
>> in case, may you provide a snippet of python code that specifically tries
>> it?
>>
>> a.
>>

The Pygame unit tests can be run with the run_tests.py script (try the 
--help command line option). It will run all tests in subprocess and 
then emit a final report to standard out. The portmidi unit tests are 
interactive, so will not run by default.

Which modules get built is determined by the config.py script. It reads 
Setup.in, and edits it into Setup, which is then used by setup.py. 
Commenting out the pypm entry in either Setup or Setup.in will prevent 
the pypm extension module from building and linking to portmidi. 
Unfortunately the midi.py module will still be installed, but it will do 
nothing unless its init() function is called. I think midi.py can be 
safely removed from the build directory to omit it from the installation.

> Thanks for preparing an updated pygame package! I was going to do so
> myself, but I was short on spare time these last few days.
>
> I would change the b-d on libportmidi-dev from [!kfreebsd-any] to
> [linux-any], given that portmidi also FTBFS on hurd-i386 and I see no
> indication that it's going to be fixed on hurd anytime soon.
>
> I've also tried building pygame in a kfreebsd-i386 VM. I have no idea
> how to get the build log out of a VBox VM, so I ended up taking
> screenshots of the log instead; they're attached with this e-mail.
>
> First problem is that pygame stalls when it can't find some of its
> dependencies (for kfreebsd, this is portmidi and porttime), and
> requires that the user manually types in 'y' at the prompt (otherwise
> the build just seems to stall forever; see pygame_ftbfs1.png). How
> will the buildds end up handling this?
>
> Second problem is that pygame FTBFS on kfreebsd after the user accepts
> the prompt to proceed with the build (see pygame_ftbfs2.png); pygame's
> camera extension is Linux-specific.
>
> If you have spare time this week, you're welcome to tackle these
> issues yourself. Otherwise, I'll get to it sometime this week or next.
> Thanks! :)
>
> Vincent

The camera module was experimental at the time of Pygame 1.9.1. Other 
experimental 1.9.1 modules are midi, scrap, and pixelarray. Yes, only 
camera is marked experimental in the docs. The scrap module is kind of a 
patchwork affair that resisted porting to Python 3. midi does not 
integrate well with SDL events because portmidi lacks a callback 
mechanism. A PixelArray handled slicing unusually, and the 1.9.2 version 
is not entirely backward compatible. Feel free to leave any of them out.

Lenard Lindstrom





Information forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#653215; Package python-pygame. (Thu, 05 Jan 2012 01:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeff Breidenbach <jeff@jab.org>:
Extra info received and forwarded to list. Copy sent to Ed Boraas <ed@debian.org>. (Thu, 05 Jan 2012 01:54:07 GMT) Full text and rfc822 format available.

Message #69 received at 653215@bugs.debian.org (full text, mbox):

From: Jeff Breidenbach <jeff@jab.org>
To: Vincent Cheng <vincentc1208@gmail.com>, mennucc1@debian.org, ed@debian.org
Cc: 653215@bugs.debian.org, len-l@telus.net
Subject: Re: Bug#653215: python-pygame: turn on MMX instructions
Date: Wed, 4 Jan 2012 17:52:03 -0800
I didn't realize Ubuntu synchronized from testing instead of unstable. Will you
please consider a high priority upload to reduce the delay to 3 days?
If it helps
influence your decision, I am a Debian Developer myself. Also, I have appended
python test snippets as requested.

from pygame import *
# Should return 'SSE' instead of 'GENERIC'
print transform.get_smoothscale_backend()
# This will rescale a test image of your choosing, exercising the code path
image.save(transform.smoothscale(image.load('test.jpg'), (100, 100)), 'new.jpg')




Information forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#653215; Package python-pygame. (Thu, 05 Jan 2012 02:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeff Breidenbach <jeff@jab.org>:
Extra info received and forwarded to list. Copy sent to Ed Boraas <ed@debian.org>. (Thu, 05 Jan 2012 02:18:03 GMT) Full text and rfc822 format available.

Message #74 received at 653215@bugs.debian.org (full text, mbox):

From: Jeff Breidenbach <jeff@jab.org>
To: Vincent Cheng <vincentc1208@gmail.com>, mennucc1@debian.org, ed@debian.org
Cc: 653215@bugs.debian.org, len-l@telus.net
Subject: Re: Bug#653215: python-pygame: turn on MMX instructions
Date: Wed, 4 Jan 2012 18:14:28 -0800
>Also, I have appended python test snippets as requested.

Besides that small snippet (which may not really hit SDL much) I've written a
real application that also exercises all sort of pygame stuff; sound, windows,
blitting,  full-screen mode, etc. Works fine for me.




Information forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#653215; Package python-pygame. (Thu, 05 Jan 2012 04:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ed Boraas <ed@debian.org>. (Thu, 05 Jan 2012 04:51:03 GMT) Full text and rfc822 format available.

Message #79 received at 653215@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: Jeff Breidenbach <jeff@jab.org>
Cc: mennucc1@debian.org, ed@debian.org, 653215@bugs.debian.org, len-l@telus.net
Subject: Re: Bug#653215: python-pygame: turn on MMX instructions
Date: Wed, 4 Jan 2012 20:48:28 -0800
On Wed, Jan 4, 2012 at 5:52 PM, Jeff Breidenbach <jeff@jab.org> wrote:
> I didn't realize Ubuntu synchronized from testing instead of unstable. Will you
> please consider a high priority upload to reduce the delay to 3 days?
> If it helps
> influence your decision, I am a Debian Developer myself. Also, I have appended
> python test snippets as requested.

That won't make a difference; pygame will not migrate to testing until
it builds on kfreebsd-{i386,amd64}. Fixing this is definitely high on
my Debian-related to-do list, but I'm afraid I might not get to it in
time for Ubuntu's freeze date. If you'd like to lend a hand with this,
I'd definitely appreciate it. :)

Vincent




Information forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#653215; Package python-pygame. (Thu, 05 Jan 2012 05:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeff Breidenbach <jeff@jab.org>:
Extra info received and forwarded to list. Copy sent to Ed Boraas <ed@debian.org>. (Thu, 05 Jan 2012 05:51:03 GMT) Full text and rfc822 format available.

Message #84 received at 653215@bugs.debian.org (full text, mbox):

From: Jeff Breidenbach <jeff@jab.org>
To: Vincent Cheng <vincentc1208@gmail.com>
Cc: mennucc1@debian.org, len-l@telus.net, 653215@bugs.debian.org, ed@debian.org
Subject: Re: Bug#653215: python-pygame: turn on MMX instructions
Date: Wed, 4 Jan 2012 21:49:45 -0800
[Message part 1 (text/plain, inline)]
I'll help as best I can, but let us please get what we have now in
unstable. Do you want me to NMU?
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#653215; Package python-pygame. (Thu, 05 Jan 2012 08:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to A Mennucc <mennucc1@debian.org>:
Extra info received and forwarded to list. Copy sent to Ed Boraas <ed@debian.org>. (Thu, 05 Jan 2012 08:15:08 GMT) Full text and rfc822 format available.

Message #89 received at 653215@bugs.debian.org (full text, mbox):

From: A Mennucc <mennucc1@debian.org>
To: Jeff Breidenbach <jeff@jab.org>
Cc: Vincent Cheng <vincentc1208@gmail.com>, ed@debian.org, 653215@bugs.debian.org, len-l@telus.net
Subject: Re: Bug#653215: python-pygame: turn on MMX instructions
Date: Thu, 05 Jan 2012 09:11:53 +0100
[Message part 1 (text/plain, inline)]
Il 05/01/2012 02:52, Jeff Breidenbach ha scritto:
> ... Also, I have appended
> python test snippets as requested.
>
> from pygame import *
> # Should return 'SSE' instead of 'GENERIC'
> print transform.get_smoothscale_backend()
> # This will rescale a test image of your choosing, exercising the code path
> image.save(transform.smoothscale(image.load('test.jpg'), (100, 100)), 'new.jpg')
hi,

I checked that it works as expected. So it is a green light :-)

a.


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#653215; Package python-pygame. (Thu, 05 Jan 2012 08:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to A Mennucc <mennucc1@debian.org>:
Extra info received and forwarded to list. Copy sent to Ed Boraas <ed@debian.org>. (Thu, 05 Jan 2012 08:27:04 GMT) Full text and rfc822 format available.

Message #94 received at 653215@bugs.debian.org (full text, mbox):

From: A Mennucc <mennucc1@debian.org>
To: Vincent Cheng <vincentc1208@gmail.com>
Cc: 653215@bugs.debian.org, Ed Boraas <ed@debian.org>, Lenard Lindstrom <len-l@telus.net>
Subject: newer pygame, details, Re: Bug#653215: new pygame , with mmx and w/o portmidi
Date: Thu, 05 Jan 2012 09:25:16 +0100
[Message part 1 (text/plain, inline)]
hi,

(foreword, this email has nothing to do with bug 653215, but it answers
a post that was CCed there, so I send it there too for completeness).

Il 04/01/2012 10:11, Vincent Cheng ha scritto:
> I would change the b-d on libportmidi-dev from [!kfreebsd-any] to
> [linux-any], given that portmidi also FTBFS on hurd-i386 and I see no
> indication that it's going to be fixed on hurd anytime soon.
Good idea, I did that .
> I've also tried building pygame in a kfreebsd-i386 VM. I have no idea
> how to get the build log out of a VBox VM, so I ended up taking
> screenshots of the log instead; they're attached with this e-mail.
>
I use qemu, here are some suggestions:
- try to scp from the guest to the real host ; with qemu,
  the host is at 10.0.2.1 (or 10.0.2.2 , can't recall for sure)
- setup email and send an email from the guest
- with qemu, while the guest is not running, you can use
  qemu-nbd to mount a qemu disk into the real host

> First problem is that pygame stalls when it can't find some of its
> dependencies (for kfreebsd, this is portmidi and porttime), and
> requires that the user manually types in 'y' at the prompt (otherwise
> the build just seems to stall forever; see pygame_ftbfs1.png).
(it is not stalling forever, it is waiting for input; the problem is
that the output is buffered, so you are not seeing the prompt)
>  How
> will the buildds end up handling this?
In buildds , the input is redirected from dev/null, so by looking in
config_unix.py I can tell that the 'confirm()' call would default to
"no" and the build would be aborted. That is why I patched
config_unix.py , so that it will instead not abort because of a missing
'portmidi' dependency on non linux targets.

> Second problem is that pygame FTBFS on kfreebsd after the user accepts
> the prompt to proceed with the build (see pygame_ftbfs2.png); pygame's
> camera extension is Linux-specific.
>
with the newer pygame it should not; if you have time, please check in
the virtual environment; otherwise we may simply upload it and see if it
works

a.


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#653215; Package python-pygame. (Thu, 05 Jan 2012 09:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to A Mennucc <mennucc1@debian.org>:
Extra info received and forwarded to list. Copy sent to Ed Boraas <ed@debian.org>. (Thu, 05 Jan 2012 09:18:06 GMT) Full text and rfc822 format available.

Message #99 received at 653215@bugs.debian.org (full text, mbox):

From: A Mennucc <mennucc1@debian.org>
To: Vincent Cheng <vincentc1208@gmail.com>
Cc: 653215@bugs.debian.org, Ed Boraas <ed@debian.org>, Lenard Lindstrom <len-l@telus.net>
Subject: Re: newer pygame, details, Re: Bug#653215: new pygame , with mmx and w/o portmidi
Date: Thu, 05 Jan 2012 10:15:16 +0100
[Message part 1 (text/plain, inline)]
Il 05/01/2012 09:25, A Mennucc ha scritto:
>
> with the newer pygame it should not; if you have time, please check in
> the virtual environment; otherwise we may simply upload it and see if it
> works
>
hi, I reread #653215 ; I decided to change urgency to 'high' and upload
it, so if it builds on kfreebsd, it will go in testing before the ubuntu
snapshot. a.


[signature.asc (application/pgp-signature, attachment)]

Reply sent to A Mennucc1 <mennucc1@debian.org>:
You have taken responsibility. (Thu, 05 Jan 2012 09:36:36 GMT) Full text and rfc822 format available.

Notification sent to jeff@jab.org:
Bug acknowledged by developer. (Thu, 05 Jan 2012 09:36:43 GMT) Full text and rfc822 format available.

Message #104 received at 653215-close@bugs.debian.org (full text, mbox):

From: A Mennucc1 <mennucc1@debian.org>
To: 653215-close@bugs.debian.org
Subject: Bug#653215: fixed in pygame 1.9.1release+dfsg-3
Date: Thu, 05 Jan 2012 09:32:21 +0000
Source: pygame
Source-Version: 1.9.1release+dfsg-3

We believe that the bug you reported is fixed in the latest version of
pygame, which is due to be installed in the Debian FTP archive:

pygame_1.9.1release+dfsg-3.debian.tar.gz
  to main/p/pygame/pygame_1.9.1release+dfsg-3.debian.tar.gz
pygame_1.9.1release+dfsg-3.dsc
  to main/p/pygame/pygame_1.9.1release+dfsg-3.dsc
python-pygame_1.9.1release+dfsg-3_amd64.deb
  to main/p/pygame/python-pygame_1.9.1release+dfsg-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 653215@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
A Mennucc1 <mennucc1@debian.org> (supplier of updated pygame package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 05 Jan 2012 08:10:48 +0100
Source: pygame
Binary: python-pygame
Architecture: source amd64
Version: 1.9.1release+dfsg-3
Distribution: unstable
Urgency: high
Maintainer: Ed Boraas <ed@debian.org>
Changed-By: A Mennucc1 <mennucc1@debian.org>
Description: 
 python-pygame - SDL bindings for games development in Python
Closes: 653215
Changes: 
 pygame (1.9.1release+dfsg-3) unstable; urgency=high
 .
   * Build-depends on portmidi only in linux-any architectures.
   * Turn on MMX instructions, thanks to jeff@jab.org;
     (Closes: #653215).
   * Setting priority on high so as to (possibly) migrate
     before Ubuntu snapshot.
Checksums-Sha1: 
 6c96cae85466fcb6ad94235e3c75da9726d0552a 1623 pygame_1.9.1release+dfsg-3.dsc
 7ba450328fd567ab2819a815b3f5b804ff6921f0 11493 pygame_1.9.1release+dfsg-3.debian.tar.gz
 afee3b338330428b5af0fe85ee699f74891ea411 2910658 python-pygame_1.9.1release+dfsg-3_amd64.deb
Checksums-Sha256: 
 b88d083c387f4e5dee1f4db4aa53088723a4fb6e293484e2aeb2d1f8e67d0e3e 1623 pygame_1.9.1release+dfsg-3.dsc
 f222bc2174f8f6b36be06da1c31d7f78c8fced231064bd48052d565098a9de82 11493 pygame_1.9.1release+dfsg-3.debian.tar.gz
 974a5717d14dea5b2afd062a3bb08fe4930573a437a4521f56e3a26c21e7265a 2910658 python-pygame_1.9.1release+dfsg-3_amd64.deb
Files: 
 40a52605a415942fc64d8ce5d46da6c8 1623 python optional pygame_1.9.1release+dfsg-3.dsc
 0e84fe1fe99b3735bde2739bcf89ceb3 11493 python optional pygame_1.9.1release+dfsg-3.debian.tar.gz
 80667d0b075dd0fb9a4f78b0026c9ccf 2910658 python optional python-pygame_1.9.1release+dfsg-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk8FaUQACgkQ9B/tjjP8QKTEPgCfQ7Ob9v287vgkhRnGF0ivq3IT
g24AnAuPsAm7+2Dwo0laOzeKxOXq46PE
=TfpW
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 03 Feb 2012 07:30:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 20:12:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.